{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list tags_pagos %}
{% load url from future %}
{% load admin_urls %}

{% block extrastyle %}
    {{ block.super }}
    <link rel="stylesheet" type="text/css" href="{% static "admin/css/dashboard.css" %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}"/>
    <script type="text/javascript" src="{% static 'admin/js/core.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/admin/RelatedObjectLookups.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/jquery.init.js' %}"></script>
    <script type="text/javascript" src="{% static 'admin/js/actions.min.js' %}"></script>


    {{ media.css }}
    <style>
        #changelist table thead th:first-child {
            width: inherit
        }
    </style>
{% endblock %}

{% block extrahead %}
    {{ block.super }}
    {% url 'admin:jsi18n' as jsi18nurl %}
    <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
    {{ media.js }}
    <script type="text/javascript">
        (function ($) {
            $(document).ready(function ($) {
                $("tr input.action-select").actions();
            });
        })(django.jQuery);
    </script>
{% endblock %}

{% block bodyclass %}change-list{% endblock %}

{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="../../../../">
            {% trans "Inicio" %} &rsaquo;
        </a>
        <a href="../../">
            {% trans "Asignación de Pagos UDL" %} &rsaquo;
        </a>
        <a href="../">
            {% trans "Períodos" %} &rsaquo;
        </a>
        {% trans "Matriculados" %} {{ periodo }}
    </div>
{% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}
    <h2>Alumnos Matriculados {{ periodo }}</h2>
    <div id="content-main">
        <div class="module filtered" id="changelist">

            <div id="toolbar">
                <form id="changelist-search" action="" method="get">{% csrf_token %}
                    <div><!-- DIV needed for valid HTML -->
                        <label for="searchbar"><img src="{% static 'admin/img/icon_searchbox.png' %}"
                                                    alt="Search"/></label>
                        <input type="text" size="40" name="q" value="{{ query|escape }}" id="searchbar"/>
                        {% if query1 %}
                            <input type="hidden" name="c" value="{{ query1|escape }}"/>
                        {% endif %}
                        {% if query2 %}
                            <input type="hidden" name="p" value="{{ query2|escape }}"/>
                        {% endif %}
                        {% if query3 %}
                            <input type="hidden" name="s" value="{{ query3|escape }}"/>
                        {% endif %}
                        {% if query4 %}
                            <input type="hidden" name="e" value="{{ query4|escape }}"/>
                        {% endif %}
                        <input type="submit" value="{% trans 'Search' %}"/>
                    </div>
                </form>
            </div>
            <script type="text/javascript">document.getElementById("searchbar").focus();</script>


            {% block filters %}
                <div id="changelist-filter">
                    <h2>{% trans 'Filter' %}</h2>
                    <h3> {% trans 'Por Carrera' %}</h3>

                    <ul>
                        <li {% if not query %}{% if not query1 %}class="selected"{% endif %}{% endif %}><a
                                href="?{% if query %}q={{ query }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}s={{ query3 }}&{% endif %}{% if query4 %}e={{ query4 }}{% endif %}">Todos/as</a>
                        </li>

                        {% for carrera in carreras %}
                            <li {% ifequal query1 carrera.id|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}s={{ query3 }}&{% endif %}{% if query4 %}e={{ query4 }}&{% endif %}c={{ carrera.id }}">{{ carrera.Carrera }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                    <h3> {% trans 'Por Año Ingreso' %}</h3>
                    <ul>
                        <li {% if not query %}{% if not query2 %}class="selected"{% endif %}{% endif %}><a
                                href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query3 %}s={{ query3 }}&{% endif %}{% if query4 %}e={{ query4 }}{% endif %}">Todos/as</a>
                        </li>
                        {% for anio in anios %}
                            <li {% ifequal query2 anio|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query3 %}s={{ query3 }}&{% endif %}{% if query4 %}e={{ query4 }}&{% endif %}p={{ anio }}">{{ anio }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                    <h3> {% trans 'Por Semestre Ingreso' %}</h3>
                    <ul>
                        <li {% if not query %}{% if not query3 %}class="selected"{% endif %}{% endif %}><a
                                href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query4 %}e={{ query4 }}{% endif %}">Todos/as</a>
                        </li>
                        {% for semestre in semestres %}
                            <li {% ifequal query3 semestre|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query4 %}e={{ query4 }}&{% endif %}s={{ semestre }}">{{ semestre }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                    <h3> {% trans 'Por Condición' %}</h3>
                    <ul>
                        <li {% if not query %}{% if not query4 %}class="selected"{% endif %}{% endif %}><a
                                href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}s={{ query3 }}{% endif %}">Todos/as</a>
                        </li>
                        {% for condicion in condiciones %}
                            <li {% ifequal query4 condicion|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}{% if query1 %}c={{ query1 }}&{% endif %}{% if query2 %}p={{ query2 }}&{% endif %}{% if query3 %}s={{ query3 }}&{% endif %}e={{ condicion }}">{{ condicion }}</a>
                            </li>
                        {% endfor %}
                    </ul>

                </div>
            {% endblock %}

            <form method="POST" action="">{% csrf_token %}
                <div class="actions">
                    <label>Acción:</label>
                    <select name="action">
                        <OPTION selected="selected" value="">---------</OPTION>
                        <OPTION value="print_pagos_deudas_selected">Detalle de pagos, deudas y moras de alumno(s)
                            seleccionado(s)
                        </OPTION>
                        <OPTION value="print_resumen_pagos_selected">Resumen de pagos y deudas de un alumno
                            seleccionado
                        </OPTION>
                    </select>
                    <input class="select-across" type="hidden" name="select_across" value="0">
                    <button class="button" name="index" title="Ejecutar la acción seleccionada" type="SUBMIT">Ejecutar
                    </button>
                    <script type="text/javascript">
                        var _actions_icnt = "100";
                    </script>
                    <span class="action-counter" style="display: inline;">{{ n_alumnos }} Matriculados UDL</span>
                    <span class="all" style="display: none;">{{ n_alumnos }} Matriculados UDL seleccionados</span>
                    <span class="question" style="display: none;"><a
                            title="Pulse aquí para seleccionar los objetos a través de todas las páginas"
                            href="javascript:;">Seleccionar todos los {{ n_alumnos }} Alumnos UDL</a></span>
                    <span class="clear" style="display: none;"><a href="javascript:;">Limpiar selección</a></span>
                </div>

                {% block result_list %}
                    {% if query %}
                        <h2>{% trans 'Resultados para' %} "{{ query|escape }}":</h2>
                    {% endif %}
                    {% if results %}
                        <div class="results">
                            <table id='result_list'>
                                <THEAD>
                                <TR>
                                    <TH scope='col' class='action-checkbox-column'>
                                        <div class="text"><span><input type="checkbox" id="action-toggle"
                                                                       style="display: inline;"></span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Código' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Alumno' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Carrera' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Categoría' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Condición' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Fecha. Matric.' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Conceptos Asignados' %}</span></div>
                                    </TH>
                                    <TH scope='col'>
                                        <div class="text"><span>{% trans 'Foto' %}</span></div>
                                    </TH>
                                </TR>
                                </THEAD>
                                <TBODY>
                                {% for matriculado in results.object_list %}
                                    <TR class="{% cycle 'row1' 'row2' %}">
                                        <TD><input type="checkbox" name="_selected_action" value="{{ matriculado.id }}"
                                                   class="action-select"></TD>
                                        <TD>
                                            <a href="../../individual/{{ matriculado.id|escape }}/">{{ matriculado.Alumno.Codigo|escape }}</a>
                                        </TD>
                                        <TD>{{ matriculado.Alumno|escape }}</TD>
                                        <TD>{{ matriculado.Alumno.Carrera.Carrera|escape }}</TD>
                                        <TD>{{ matriculado.categoria|escape }}</TD>
                                        <TD>{{ matriculado.Estado }}</TD>
                                        <TD>{{ matriculado.FechaMatricula|escape }}</TD>
                                        <TD>{{ matriculado.conceptosAsignados|safe }}</TD>
                                        <TD>
                                            {% if matriculado.Alumno.Foto != '' %}
                                                <img class="thumbnail"
                                                     src="{% static 'uploads/' %}{{ matriculado.Alumno.Foto }}"
                                                     alt="Foto" height="120px"/>
                                            {% else %}
                                                <img class="thumbnail" src="{% static 'uploads/avatar.jpg' %}"
                                                     alt="Avatar" height="120px"/>
                                            {% endif %}
                                        </TD>
                                    </TR>
                                {% endfor %}
                                </TBODY>
                            </table>
                        </div>
                    {% else %}
                        <p>{% trans 'No se encontraron coincidencias' %}</p>
                    {% endif %}
                {% endblock %}
                {% block pagination %}
                    {% render_paginator 2 3 %}
                {% endblock %}
        </div>
    </div>
{% endblock %}
